Manual05/fr

From FreeCAD Documentation
Jump to: navigation, search




Manuel



de



FreeCAD





Splash013.jpg




Ce manuel traite des Outils de création d'objets.


Draft



Cette page est spécialement destinée à l'impression, comme un gros document, donc, si vous lisez ceci en ligne, vous pourrez préférer aller directement à la version Aide en ligne, qui est plus facile à parcourir.

Outils de création d'objets

FreeCAD.png
Page suivante: Filaire Draft Wire.svg Arrow-right.svg

Draft Line.svg Ligne

Emplacement du menu
Draft → Ligne
Ateliers
Draft, Arch
Raccourci par défaut
L I
Introduit dans la version
0.7
Voir aussi
Filaire, Point


Description

Cet outil demande à l'utilisateur de spécifier deux points et trace une ligne entre ceux-ci dans le plan de travail courant. Il prend la largeur et la couleur préalablement définies sur l'onglet Tâches. L'outil ligne se comporte exactement comme l'outil Filaire, à la différence qu'il s'arrête à la saisie de deux points. L'outil Ligne crée une ligne droite définie par deux points. Il utilise le style de ligne défini dans la barre d’outils du tiroir. L'outil Ligne se comporte exactement comme l'outil Draft Wire , sauf qu'il s'arrête après deux points.

Draft Line example.jpg

Création d'une ligne avec deux points


Utilisation

  1. Cliquez sur le bouton Draft Line.svg Ligne ou pressez sur les touches L puis I
  2. Cliquez le premier point dans la vue 3D, ou entrez les coordonnées puis pressez le bouton Draft AddPoint.svg Ajouter un point .
  3. Cliquez le deuxième point dans la vue 3D, ou entrez les coordonnées et pressez le bouton Draft AddPoint.svg Ajouter un point.

La ligne peut être éditée en double cliquant sur l'élément dans la vue 3D, ou pressez sur le bouton Draft Edit.svg Éditer. Vous pouvez alors déplacer les points à leurs nouvelle position.

Fusionner des lignes simples

Si plusieurs lines sont connectées, vous pouvez les fusionner en un fil unique en appuyant sur l'outil Draft Upgrade.svg Draft Upgrade. Cependant, ce fil ne sera pas éditable. Pour créer un fil modifiable, utilisez Draft Upgrade.svg Draft Upgrade trois fois de plus sur les nouvelles formes (fil, fil fermé, face). Vous pouvez également fusionner les lignes d'origine avec l'outil Draft Wire.svg Draft Wire.

Un fil peut également être créé à partir d'une seule ligne en ajoutant un autre point n'importe où sur sa longueur. Pour ce faire, appuyez sur le bouton Draft AddPoint.svg ajouter un point, puis cliquez n'importe où sur la ligne.

Options

  • Appuyez sur X, Y ou Z après le premier point pour contraindre le second point le long d'un axe.
  • Pour saisir les coordonnées manuellement, entrez le nombre et appuyez simplement sur ​​ENTRÉE entre chaque saisie de X, Y et Z.
    • Vous pouvez également définir les coordonnées polaires du point en donnant une valeur à "Longueur" et "Angle". Cliquez sur la case à cocher à côté de "Angle" pour contraindre le pointeur à l'angle spécifié.
    • Vous pouvez appuyer sur le bouton Draft AddPoint.svg ajouter un point lorsque vous avez les valeurs souhaitées pour insérer le point.
  • Appuyez sur R ou cliquez sur la case Relatif pour cocher/décocher ce mode. Si le mode relatif est activé, les coordonnées du second point seront relatives à la première. Sinon, elles seront absolues, prises à partir du point d'origine (0,0,0).
  • Appuyez sur T ou cliquez sur la case Continuer pour cocher/décocher ce mode. Si le mode Continuer est activé, l'outil ligne va redémarrer après que vous ayez donné le second point, vous permettant de dessiner un autre segment de ligne sans appuyer de nouveau sur le bouton ligne.
  • Appuyez sur CTRL pendant que l'outil est actif pour forcer l'accrochage du point sur l'emplacement d'accrochage le plus près, indépendamment de sa distance.
  • Appuyez sur MAJ pendant que l'outil est actif pour contraindre le second point horizontalement ou verticalement en relation au point précédent.
  • Appuyez sur CTRL + Z ou sur le bouton Draft UndoLine.png annuler pour annuler le point précédent.
  • Appuyez sur ESC pour annuler l'opération.

Propriétés

Un objet Ligne partage toutes les propriétés d'un Draft Wire, toutefois, seules certaines de ces propriétés sont applicables à la ligne.

Data

  • DONNÉESStart: Le point de départ
  • DONNÉESEnd: Le point final
  • DONNÉESSubdivisions: Divise la ligne en x lignes, donnez le nombre de coupures Disponible dans la version 0.16
  • DONNÉESLength: (lecture seule) spécifie la longueur du segment.

View

  • VUEEnd Arrow: s'il s'agit de True, un symbole apparaîtra au dernier point de la ligne afin qu'il puisse être utilisé comme une ligne d'annotation.
  • VUEArrow Size: spécifie la taille du symbole affiché à la fin de la ligne.
  • VUEArrow Type: spécifie le type de symbole affiché à la fin de la ligne, qui peut être "Dot", "Circle", "Arrow", or "Tick".

Script

See also: Draft API et FreeCAD Script de Base.

L'outil ligne peut être utilisé dans une macro et dans la console Python en utilisant la fonction suivante :

Line = makeLine(p1, p2)
Line = makeLine(LineSegment)
Line = makeLine(Shape)
  • Crée une Ligne entre les points p1 et p2 chacun défini par son FreeCAD.Vector, avec les unités en millimètres.
  • Crée un objet Ligne à partir d'un Part.LineSegment.
  • Crée un objet Ligne du premier sommet au dernier sommet de la Shape donnée.

Exemple:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 500, 0)
p3 = FreeCAD.Vector(-250, -500, 0)
p4 = FreeCAD.Vector(500, 1000, 0)

Line1 = Draft.makeLine(p1, p2)
Line2 = Draft.makeLine(p3, p4)
FreeCAD.png
Page suivante: Filaire Draft Wire.svg Arrow-right.svg


Arrow-left.svg Page précédente: Draft Line.svg Ligne
Page suivante: Congé Draft Fillet.svg Arrow-right.svg

Draft Wire.svg Filaire

Emplacement du menu
Draft → Filaire
Ateliers
Planche à dessin, Complet
Raccourci par défaut
W I
Introduit dans la version
0.7
Voir aussi
Ligne, Draft BSpline


Description

L'outil fil (Wire) crée polyligne (une séquence de lignes de plusieurs segments) dans le plan de travail actuel. Il prend les attributs de largeur et couleur, précédemment défini dans la barre d'outils style. L'outil fil (Wire) se comporte comme l'outil ligne de projet, sauf qu'il ne s'arrête pas après deux points.

L'outil Draft BSpline se comporte comme l'outil Wire, sauf que chacun de ses segments est incurvé au lieu d'être une ligne droite. Utilisez Draft WireToBSpline pour convertir l’un en l’autre.

Draft Polyline example.jpg

Wire défini par plusieurs points


Utilisation

  1. Pressez sur le bouton Draft Wire.svg Draft Wire, ou pressez la touche W puis sur I.
  2. Cliquez le premier point dans la vue 3D, ou entrez les coordonnées et cliquez sur le bouton Draft AddPoint.svg et point..
  3. Cliquez un point additionnel dans la vue 3D, ou, tapez les coordonnées et appuiez sur le bouton Draft AddPoint.svg Ajouter un point Draft..
  4. Pressez la touche Esc ou sur le bouton Close pour compléter l'édition.

Le fil peut être modifié en double-cliquant sur l'élément dans la vue arborescente ou en appuyant sur le bouton Draft Edit.svg Edit. Vous pouvez ensuite déplacer les points vers un nouvel emplacement ou cliquer sur le bouton Draft AddPoint.svg ajouter un point ou Draft DelPoint.svg effacer un point puis cliquez sur le fil pour ajouter ou supprimer des points.

Fusionner des lignes simples

Si plusieurs lignes connectés sont sélectionnés en appuyant sur le bouton Template:Bouton, elles seront transformées en un fil et la commande sera cloturée. introduced in version 0.17

Note: les extrémités des lignes doivent être exactement en contact sinon ils ne seront pas fusionnés. Si nécessaire, ajustez manuellement les coordonnées des points de début et de fin de lignes ou utilisez l'accrochage avec le mode point final pour faire coïncider les points.

Options

  • Appuyez sur la touche A ou sur le bouton Template:Bouton pour cloturer le fil en le laissant ouvert.
  • Appuyez sur la touche O ou sur le bouton Template:Bouton pour fermer le fil. Un segment sera ajouté. du dernier point au premier pour former une face. Au moins trois points sont nécessaires pour former un face.
  • Appuyez sur la touche W ou sur le bouton Template:Bouton pour supprimer les segments déjà placés, et continuez à éditer le fil à partir du dernier point.
  • Appuyez sur la touche U ou sur le bouton Draft SelectPlane.svg Set WP pour ajuster le plan de travail actuel dans l'orientation du dernier point.
  • Appuyez sur les touches X, Y ou Z après un point pour contraindre le point suivant sur l'axe donné.
  • Pour entrer les coordonnées manuellement, entrez simplement les chiffres, puis appuyez sur la touche Entrée entre chaque composante X, Y et Z. Vous pouvez appuyer sur le bouton Draft AddPoint.svg ajouter un point lorsque vous avez les valeurs souhaitées pour insérer le point.
  • Appuyez sur la touche R ou cliquez sur la case à cocher pour basculer en mode "relatif". Si le mode relatif est activé, les coordonnées du point suivant sont relatifs au dernier; sinon, ils sont absolus, pris de l'origine (0,0,0).
  • Appuyez sur la touche T ou cochez la case pour passer en mode "continuer". Si le mode Continuer est activé, l'outil Fil redémarre à la fin du fil, vous permettant d'en dessiner un autre sans appuyer à nouveau sur le bouton de l'outil.
  • Appuyez sur la touche L ou cliquez sur la case à cocher pour passer en mode "rempli". Si le mode rempli est activé, un fil fermé créera une face DONNÉESMake Face True; sinon, le fil fermé ne fera pas de face DONNÉESMake Face False.
Note: le fil ne doit pas être rempli s'il se croise lui-même, car il ne créera pas de face approprié. Si le fil est rempli mais qu'aucune forme n'est visible, définissez manuellement la propriété sur DONNÉESMake Face sur False pour afficher le fil.
  • Maintenez la touche Ctrl pendant que vous dessinez pour forcer l'accrochage de votre point au point de capture le plus proche, indépendamment de la distance.
  • Maintenez la touche Shift contrainte pendant que vous dessinez sur votre prochain point horizontalement ou verticalement par rapport au dernier.
  • Appuyez sur la touche Ctrl + Z ou appuyez sur le bouton Draft UndoLine.png Annuler pour annuler le dernier point.
  • Appuyez sur la touche Esc ou sur le bouton Fermer pour annuler la commande en cours; les segments de ligne déjà placés resteront.

Propriétés

Un objet Wire partage toutes les propriétés d'une Draft ligne, cependant, la plupart des propriétés n'ont de sens que pour un Wire.

Données

  • DONNÉESStart: spécifie le premier point du fil.
  • DONNÉESEnd: spécifie le dernier point du fil, sans compter le point initial si le fil est fermé.
  • DONNÉESClosed: spécifie si le fil est fermé ou non. Si le fil est initialement ouvert, cette valeur est False; en le réglant sur True, un segment de ligne sera dessiné pour fermer le fil. Si le fil est initialement fermé, cette valeur est True; Si vous le définissez la valeur sur False, le dernier segment de ligne sera supprimé et le fil sera ouvert.
  • DONNÉESChamfer Size: spécifie la taille des chanfreins (segments droits) créés aux coins du fil.
  • DONNÉESFillet Radius: spécifie le rayon des congés (segments d'arc) créés aux coins du fil.
  • DONNÉESMake Face: spécifie si le fil crée une face ou non. Si elle est réglée sur True, une face est créée, sinon seules les arêtes sont considérées comme faisant partie de l'objet. Cette propriété ne fonctionne que si DONNÉESClosed est True.
Note: ne définissez pas DONNÉESMake Face sur True si le fil se croise lui-même, car il ne créera pas de face approprié.
  • DONNÉESSubdivisions: spécifie le nombre de nœuds intérieurs dans chaque segment du fil. introduced in version 0.16
  • DONNÉESLength: (en lecture seule) spécifie la longueur du fil entier.

Vue

  • VUEEnd Arrow: s'il est réglé sur True, un symbole apparaîtra au dernier point du fil, de sorte qu'il peut être utilisé comme une ligne d'annotation.
  • VUEArrow Size: spécifie la taille du symbole affiché à la fin du fil.
  • VUEArrow Type: spécifie le type de symbole affiché à la fin du fil, qui peut être un "Point", "Cercle", "Flèche" ou "Tick".
  • VUE Pattern: spécifie un Pattern avec lequel remplir la face du fil fermé. Cette propriété ne fonctionne que si DONNÉESMake Face est réglé sur True et si VUE Display Mode est "Flat Lines".
  • VUEPattern Size: spécifie la taille du Pattern.

Script

Voir aussi: Draft API et FreeCAD sripts de base.

L'outil fil peut être utilisé dans des macros, et, dans la console Python en utilisant le code suivant :

Wire = makeWire(pointslist, closed=False, placement=None, face=None, support=None)
Wire = makeWire(Part.Wire, closed=False, placement=None, face=None, support=None)
  • Crée un objet Wire avec la liste de points donnée, liste de points.
    • Chaque point de la liste est défini par son FreeCAD.Vector, avec comme unité le millimètre.
    • Sinon, l'entrée peut être un Part.Wire, à partir duquel les points sont extraits.
  • Si closed est réglé sur True, ou si les premier et dernier points sont identiques, le fil est fermé.
  • Si un placement est donné, il est utilisé; sinon la forme est créée à l'origine.
  • Si face est réglé sur True, et que le fil est fermé, le fil fera une face, c'est-à-dire qu'elle apparaîtra remplie.

Exemple:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 1000, 0)
p3 = FreeCAD.Vector(2000, 0, 0)

Wire1 = Draft.makeWire([p1, p2, p3], closed=True)
Wire2 = Draft.makeWire([p1, 2*p3, 1.3*p2], closed=True)
Wire3 = Draft.makeWire([1.3*p3, p1, -1.7*p2], closed=True)
Arrow-left.svg Page précédente: Draft Line.svg Ligne
Page suivante: Congé Draft Fillet.svg Arrow-right.svg


Arrow-left.svg Page précédente: Draft Fillet.svg Fillet
Page suivante: Arc Draft Arc.svg Arrow-right.svg

Draft Circle.svg Cercle Draft

Emplacement du menu
Draft → Cercle
Ateliers
Atelier Draft, Atelier Arch
Raccourci par défaut
C I
Introduit dans la version
0.7
Voir aussi
Arc Draft, Ellipse Draft
Macro CirclePlus


Description

L'outil Cercle crée un cercle dans le Plan de travail Draft en entrant deux points, le centre et le rayon, ou en sélectionnant des tangentes, ou toute combinaison de ceux-ci. Il utilise le Propriétés de ligne Draft défini dans la barre Draft.

Cet outil fonctionne de la même manière que l'outil Arc Draft sauf qu'il crée une circonférence complète. Pour dessiner une ellipse, utilisez Ellipse Draft.

Draft Circle example.jpg

Cercle défini par deux points


Utilisation

  1. Pressez la touche Draft Circle.png Cercle Draft ou pressez les touches C et I
  2. Cliquez un premier point dans la vue 3D ou entrez les Coordonnées Draft ou cliquez sur Draft AddPoint.svg Ajouter un point Draft.
  3. Cliquez un second point dans la vue 3D ou entrez la valeur du rayon.

Le cercle peut être édité en double-cliquant sur l'élément dans l'arborescence ou en appuyant sur le bouton Draft Edit.svg Éditer. Ensuite, vous pouvez déplacer le centre et les points de rayon vers une nouvelle position.

Le cercle peut être transformé en arc après sa création en définissant ses propriétés de premier angle et dernier angle à différentes valeurs.

Options

  • L’utilisation principale de l’outil cercle consiste à choisir deux points, le centre et un point sur la circonférence.
    • En appuyant sur Alt, vous pouvez sélectionner une tangente au lieu de choisir un point. Vous pouvez donc construire plusieurs types de cercles en sélectionnant une, deux ou trois tangentes.
  • Pour entrer les coordonnées manuellement, entrez simplement les chiffres, puis appuyez sur Entrée entre chaque composante X, Y et Z. Vous pouvez appuyer sur le bouton Draft AddPoint.svg Ajouter un point Draft lorsque vous avez entré les valeurs souhaitées pour insérer le point.
  • Appuyez sur T ou cochez la case pour passer en mode continuer. Si le mode Continuer est activé, l'outil Cercle redémarrera une fois le cercle terminé, vous permettant d'en dessiner un autre sans appuyer à nouveau sur le bouton de l'outil.
  • Appuyez sur L ou cliquez sur la case à cocher pour passer en mode rempli. Si le mode Rempli est activé, le cercle créera une surface remplie (DONNÉESMake Face True) sinon le cercle ne créera pas de surface (DONNÉESMake Face False).
  • Maintenez la touche Ctrl pendant que vous dessinez pour forcer Accrochage Draft votre point au point de capture le plus proche, indépendamment de la distance.
  • Maintenez Shift pendant que vous dessinez pour forcer avec Contrainte Draft votre deuxième point à être horizontal ou vertical par rapport au premier.
  • Appuyez sur Echap ou sur le bouton Fermer pour annuler la commande en cours.

Propriétés

Un objet Circle partage toutes les propriétés d'un Arc Draft mais certaines propriétés n'ont de sens que pour le cercle.

Données

  • DONNÉESFirst Angle: spécifie l'angle de départ du cercle; normalement 0°.
  • DONNÉESLast Angle: spécifie l'angle final du cercle; normalement 0°.
  • DONNÉESRadius: spécifie le rayon du cercle.
  • DONNÉESMake Face: spécifie si le cercle crée un visage ou non. S'il s'agit de True, une face est créée. Sinon, seule la circonférence est considérée comme faisant partie de l'objet. Cette propriété ne fonctionne que si la forme est une circonférence complète.
Pour que ce soit un cercle complet, DONNÉESFirst Angle et DONNÉESLast Angle doivent avoir la même valeur sinon, un Arc Draft est affiché. Les valeurs 0° et 360° ne sont pas considérés comme identiques. Donc si ces deux valeurs sont utilisées, le cercle ne formera pas de surface.

Vue

  • VUEPattern: spécifie un Pattern Draft. avec lequel remplir la face du cercle. Cette propriété ne fonctionne que si DONNÉESMake Face est True et si DATAMake Face est "Flat Lines".
  • VUEPattern Size: spécifie la taille du Pattern Draft.

Script

Voir aussi: Draft API et FreeCAD Script de Base.

L'outil Cercle peut être utilisé dans les macros et dans la console Python, en utilisant la fonction suivante :

Circle = makeCircle(radius, placement=None, face=None, startangle=None, endangle=None, support=None)
Circle = makeCircle(Part.Edge, placement=None, face=None, startangle=None, endangle=None, support=None)
  • Crée un objet Circle avec un radius donné en millimètres.
    • radius peut aussi être un Part.Edge, dont l'attribut Curve doit être un Part.Circle.
  • Si un placement est donné, il est utilisé.
  • Si face a la valeur True, le cercle est montré comme une face, sinon il apparaîtra comme une forme filaire.
  • Si startangle et endangle sont donnés (en degrés), ils sont utilisés, et, l'objet apparaît comme un arc.

Exemple:

import FreeCAD, Draft

Circle1 = Draft.makeCircle(200)

ZAxis = FreeCAD.Vector(0, 0, 1)
p2 = FreeCAD.Vector(1000, 1000, 0)
place2 = FreeCAD.Placement(p2, FreeCAD.Rotation(ZAxis, 0))
Circle2 = Draft.makeCircle(500, placement=place2)

p3 = FreeCAD.Vector(-1000, -1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 0))
Circle3 = Draft.makeCircle(750, placement=place3)
Arrow-left.svg Page précédente: Draft Fillet.svg Fillet
Page suivante: Arc Draft Arc.svg Arrow-right.svg


Arrow-left.svg Page précédente: Draft Circle.svg Circle
Page suivante: Arc 3Points Draft Arc 3Points.svg Arrow-right.svg

Draft Arc.svg Arc

Emplacement du menu
Draft → Arc
Ateliers
Planche à dessin
Raccourci par défaut
A R
Introduit dans la version
0.7
Voir aussi
Cercle, Draft Ellipse


Description

Cet outil trace un arc de cercle dans le plan de travail courant à l'aide de quatre points : le centre, le rayon, l'angle de départ et l'angle d'arrivée. Ou en choisissant des tangentes, ou toute combinaison de celle-ci. Il prend le style défini dans Draft Tray.

Cet outil fonctionne de la même manière que l'outil cercle, mais ajoute des angles de début et de fin. Pour dessiner un arc elliptique, utilisez ellipse. Vous pouvez également approximer un arc de cercle à l'aide des outils BSpline,t BezCurve et Draft CubicBezCurve.

Draft Arc example.jpg

Arc défini par quatre points, centre, rayon, point initial de l'arc et point final de l'arc.


Utilisation

  1. Cliquez sur le bouton Draft Arc.png Arc, pressez les touches A et R.
  2. Cliquez sur un premier point de la vue 3D ou tapez une coordonnée et appuyez sur le bouton Draft AddPoint.svg ajouter un point.
  3. Cliquez le second point dans la vue 3D, ou entrez la valeur du rayon.
  4. Cliquez le troisième point dans la vue 3D, ou entrez le début de l'angle.
  5. Cliquez le quatrième point dans la vue 3D, ou entrez la fin d'ouverture de l'arc.

Vous pouvez modifier l'arc en double-cliquant sur l'élément dans la vue arborescente ou en appuyant sur le bouton Draft Edit.svg Draft Édit. Ensuite, vous pouvez déplacer le point central vers un nouvel emplacement.

L'arc peut être transformé en cercle après la création en définissant ses propriétés de premier et dernier angle sur la même valeur.

Options

  • La principale utilisation de l'outil arc se fait en créant quatre points: le centre, un point sur la circonférence, définissant le rayon, un troisième point définissant le début de l'arc, et un quatrième une définition de sa fin.
  • En appuyant sur la touche Alt, vous pouvez sélectionner une tangente à la place du point, pour définir le cercle de base de l'arc. Vous pouvez donc construire plusieurs types de cercles en sélectionnant une, deux ou trois tangentes.
  • La direction de l'arc dépend du mouvement que vous faites avec votre souris. Si vous déplacez votre souris vers la droite après le troisième point est cliqué, votre arc se fera dans le sens horaire. Pour aller dans le sens antihoraire, il suffit de déplacer votre souris en arrière sur le troisième point, jusqu'à ce que l'arc commence à se dessiner dans l'autre sens.
  • Pour entrer des coordonnées manuellement, il suffit d'entrer les nombres, puis appuyez sur la touche Enter entre chaque composant X, Y et Z. Vous pouvez appuyer sur le bouton Draft AddPoint.svg ajouter un point lorsque vous avez entré les valeurs souhaitées pour insérer le point.
  • Appuyer sur la touche T ou cliquez sur la case à cocher/décocher Continuer. Si le mode continue est activé, l'outil Arc va redémarrer après avoir entré le quatrième point, permettant de dessiner un autre arc sans appuyer de nouveau sur le bouton Arc.
  • Appuyer sur la touche CTRL tout en tirant force l'accrochage de votre point sur l'emplacement d’accrochage le plus proche, indépendamment de la distance.
  • Appuyer sur la touche MAJ tout en tirant contraint votre point horizontalement ou verticalement par rapport au centre.
  • Appuyer sur la touche ESC ou Fermer pour annuler la commande courante.

Propriétés

Un objet Arc partage toutes les propriétés d'un cercle, mais certaines propriétés n'ont de sens que pour le cercle.

Data

  • DONNÉESFirst Angle: spécifie l'angle du premier point de l'arc.
  • DONNÉESLast Angle: spécifie l'angle du dernier point de l'arc.
  • DONNÉESRadius: spécifie le rayon de l'arc.
  • DONNÉESMake Face: spécifie si l'arc crée une face ou non. Cette propriété ne fonctionne que si la forme est un cercle complet.
Pour transformer un arc en cercle complet, définissez DONNÉESFirst Angle et DONNÉESLast Angle sur la même valeur. Les valeurs 0° et 360° ne sont pas considérées comme identiques. Par conséquent, si ces deux valeurs sont utilisées, le cercle ne formera pas de visage.

Vue

  • VUEPattern: spécifie un Draft Pattern avec lequel remplir la face de l'arc. Cette propriété ne fonctionne que si l'arc est un cercle complet et si DONNÉESMake Face est True et si VUEDisplay Mode est une "Ligne plate".
  • VUESize: spécifie la taille de Pattern.

Script

Voir aussi: Draft API et FreeCAD Scripting Basics.

L'outil Arc peut être utilisé dans macros et à partir de la console Python en utilisant la même fonction pour créer des cercles, avec des arguments supplémentaires. Voir les informations dans Draft Circle.

Exemple:

import Draft

Arc1 = Draft.makeCircle(200, startangle=0, endangle=90)
Arc2 = Draft.makeCircle(500, startangle=20, endangle=160)
Arc3 = Draft.makeCircle(750, startangle=-30, endangle=-150)
Arrow-left.svg Page précédente: Draft Circle.svg Circle
Page suivante: Arc 3Points Draft Arc 3Points.svg Arrow-right.svg


Arrow-left.svg Page précédente: Draft Polygon.svg Polygone
Page suivante: Texte Draft Draft Text.svg Arrow-right.svg

Draft Rectangle.svg Rectangle Draft

Emplacement du menu
Draft → Rectangle
Ateliers
Atelier Draft, Atelier Arch
Raccourci par défaut
R E
Introduit dans la version
0.7
Voir aussi
Ellipse Draft, Cube Part


Description

L'outil Rectangle crée un rectangle en sélectionnant deux points. Il utilise les attributs des Propriétés de ligne Draft définies dans La barre d'outils Draft.

Vous pouvez éventuellement ajouter un chanfrein ou un congé circulaire à 45 degrés à chaque coin du rectangle et le diviser en une série de lignes et de colonnes de même taille.

Draft Rectangle example.jpg

Rectangle défini par les deux coins


Utilisation

  1. Appuyez sur le bouton Draft Rectangle.png Draft Rectangle/fr ou appuyez sur les touches R puis E.
  2. Cliquez sur un premier point d'angle de la vue 3D ou tapez une Coordonnées Draft et appuyez sur le bouton Draft AddPoint.svg Ajouter un point Draft.
  3. Cliquez sur un autre point de la vue 3D opposé au premier ou tapez une Coordonnées Draft et appuyez sur le bouton Draft AddPoint.svg Ajouter un point Draft.
Le deuxième point ne doit pas être contraint aux axes X, Y ou Z sinon le rectangle résultant sera mal formé.

Le rectangle peut être modifié en double-cliquant sur l'élément dans la vue arborescente ou en appuyant sur le bouton Draft Edit.svg Éditer. Ensuite, vous pouvez déplacer les points vers une nouvelle position.

La longueur et la largeur du rectangle peuvent être modifiées après la création en modifiant ses propriétés.

Options

  • Pour entrer les coordonnées manuellement, entrez simplement les chiffres, puis appuyez sur Entrée entre chaque composante X, Y et Z. Vous pouvez appuyer sur le bouton Draft AddPoint.svg Ajouter un point Draft lorsque vous avez les valeurs souhaitées pour insérer le point.
  • Appuyez sur R ou cliquez sur la case à cocher pour basculer en mode relative . Si le mode relatif est activé, les coordonnées du deuxième point sont relatives au premier sinon, ils sont absolus, pris à l'origine (0,0,0).
  • Appuyez sur T ou cochez la case pour passer en mode continue. Si le mode Continue est activé, l'outil Rectangle redémarrera une fois que vous aurez donné le deuxième point, ce qui vous permettra de dessiner un autre rectangle sans appuyer à nouveau sur le bouton de l'outil.
  • Appuyez sur L ou cliquez sur la case à cocher pour passer en mode filled. Si le mode rempli est activé, le rectangle aura une surface remplie si (DATAMake Face) est mis à True sinon, le rectangle ne créera pas de surface (DATA Make Face False).
  • Maintenez la touche Ctrl pendant que vous dessinez pour forcer Accrochage Draft votre point au point de capture le plus proche, indépendamment de la distance.
  • Appuyez sur Echap ou sur le bouton Fermer pour annuler la commande en cours.

Propriétés

Données

  • DONNÉESLength: spécifie la longueur de la forme dans la direction de l'axe X.
  • DONNÉESHeight: spécifie la hauteur de la forme dans la direction de l'axe des ordonnées.
  • DONNÉESChamfer Size: spécifie la longueur diagonale du chanfrein 45° à chaque coin du rectangle.
  • DONNÉESFillet Radius: spécifie le rayon du congé 90° à chaque coin du rectangle.
  • DONNÉESRows: spécifie le nombre de lignes de taille égale dans lesquelles la forme d'origine est divisée. par défaut, 1 ligne.
  • DONNÉESColumns: spécifie le nombre de colonnes de taille égale dans lesquelles la forme d'origine est divisée. par défaut, 1 colonne.
  • DONNÉESMake Face: spécifie si la forme crée une face ou non. Si mis à True, une surface est créée. Sinon, seul le périmètre est considéré comme faisant partie de l'objet.

Vue

  • VUEPattern: spécifie un Pattern Draft avec lequel remplir la surface de la forme. Cette propriété ne fonctionne que si DONNÉESMake Face est mis à True et si VUEDisplay Mode est "Lignes plates" "Flat Lines".
  • VUEPattern Size: spécifie la taille du Pattern Draft.
  • VUETexture Image: spécifie le chemin d'accès à un fichier image à mapper sur la face de la forme. Supprimer cette propriété supprimera l'image.
Le rectangle doit avoir les mêmes proportions que l’image pour éviter les distorsions dans le mappage.

Script

Voir aussi: Draft API et FreeCAD scripts de base.

L'outil Rectangle peut être utilisé dans une macro, et à partir de la console Python en utilisant la fonction suivante:

Rectangle = makeRectangle(length, height, placement=None, face=None, support=None)
  • Crée un objet Rectangle avec length dans la direction X et height dans la direction Y, avec des unités en millimètres.
    • La longueur sera parallèle à l'axe X si aucun autre placement n'est indiqué.
  • Si un placement est donné, il est utilisé; sinon la forme est créée à l'origine.
  • Si face est mis à True, la forme aura une surface et elle apparaîtra remplie.

Exemple:

import FreeCAD, Draft

Rectangle1 = Draft.makeRectangle(4000, 1000)
Rectangle2 = Draft.makeRectangle(1000, 4000)

ZAxis = FreeCAD.Vector(0, 0, 1)
p3 = FreeCAD.Vector(1000, 1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 45))

Rectangle3 = Draft.makeRectangle(3500, 250, placement=place3)
Arrow-left.svg Page précédente: Draft Polygon.svg Polygone
Page suivante: Texte Draft Draft Text.svg Arrow-right.svg


Arrow-left.svg Page précédente: Draft Ellipse.svg Ellipse Draft
Page suivante: Rectangle Draft Draft Rectangle.svg Arrow-right.svg

Draft Polygon.svg Polygone Draft

Emplacement du menu
Draft → Polygone
Ateliers
AtelierDraft, Atelier Arch
Raccourci par défaut
P G
Introduit dans la version
0.7
Voir aussi
Cercle Draft


Description

L'outil Polygone crée un polygone régulier inscrit dans une circonférence en sélectionnant deux points, le centre et le rayon. Il utilise les Propriétés de ligne Draft définies dans la La barre Draft.

Draft polygon example.jpg

Polygone régulier défini par le centre et le rayon


Utilisation

  1. Appuyez sur le bouton Draft Polygon.png Polygone Draft ou appuyez sur les touches P puis G.
  2. Ajustez le nombre de côtés souhaité dans la boîte de dialogue des options.
  3. Cliquez sur un premier point de la vue 3D ou tapez une Coordonnée Draft et appuyez sur le bouton Draft AddPoint.svg Ajouter un point Draft.
  4. Cliquez sur un autre point de la vue 3D ou tapez une valeur de rayon pour définir le rayon du polygone.

Le polygone peut être modifié en double-cliquant sur l'élément dans la vue arborescente ou en appuyant sur le bouton Draft Edit.svg Editer Draft. Par la suite, vous pouvez déplacer le centre et les points de rayon vers une nouvelle position.

Le polygone est créé et inscrit dans un cercle du rayon spécifié. Il peut être basculé sur circonscrit après la création en modifiant sa propriété de mode d'affichage.

Le nombre de côtés du polygone peut également être modifié après la création en modifiant sa propriété du nombre de côtés.

Options

  • Pour entrer les coordonnées manuellement, entrez simplement les chiffres, puis appuyez sur Entrée entre chaque composante X, Y et Z. Vous pouvez appuyer sur le bouton Draft AddPoint.svg Ajouter un point Draft lorsque vous avez les valeurs souhaitées pour insérer le point.
  • Appuyez sur T ou cochez la case pour passer en mode continue. Si le mode Continue est activé, l'outil Polygone redémarre une fois que vous l'avez terminé, vous permettant d'en dessiner un autre sans appuyer à nouveau sur le bouton de l'outil.
  • Appuyez sur L ou cliquez sur la case à cocher pour passer en mode filled. Si le mode rempli est activé, le polygone créera une face remplie (DONNÉESMake Face True) sinon le polygone n'aura pas de surface (DONNÉESMake Face False).
  • Maintenez la touche Ctrl pendant que vous dessinez pour forcer Accrochage votre point au point de capture le plus proche, indépendamment de la distance.
  • Maintenez Shift pendant que vous dessinez pour Contraindre Draft votre deuxième point horizontalement ou verticalement par rapport au premier.
  • Appuyez sur Echap ou sur le bouton Fermer pour annuler la commande en cours.

Propriétés

Données

  • DONNÉESRadius: spécifie le rayon du cercle qui définit le polygone.
  • DONNÉESDraw mode: spécifie si le polygone est inscrit dans un cercle ou circonscrit autour d'un cercle.
  • DONNÉESFace Number: spécifie le nombre de côtés du polygone.
  • DONNÉESChamfer Size: spécifie la taille des chanfreins (segments droits) créés aux coins du polygone.
  • DONNÉESFillet Radius: spécifie le rayon des congés (segments d'arc) créés aux coins du polygone.
  • DONNÉESMake Face: spécifie si la forme fait une surface ou non. En position True, une surface est créée. Sinon, seul le périmètre est considéré comme faisant partie de l'objet.

Vue

  • VUEPattern: spécifie un Pattern Draft avec lequel remplir la face du polygone. Cette propriété ne fonctionne que si DONNÉESMake Face est à True et si VUEDisplay Mode est "Lignes plates".
  • VUEPattern Size: spécifie la taille du Pattern Draft.

Script

Voir aussi: Draft API et FreeCAD scripts de base.

L'outil Polygone peut être utilisé dans une macro ainsi que dans la console Python en utilisant la commande :

Polygon = makePolygon(nfaces, radius=1, inscribed=True, placement=None, face=None, support=None)
  • Crée un objet Polygon avec le nombre de faces spécifié (nfaces) basé sur un cercle de radius en millimètres.
  • Si inscribed est à True, le polygone est inscrit dans le cercle, sinon il sera circonscrit.
    • L'un des sommets du polygone sera situé sur l'axe des X si aucun autre placement n'est indiqué.
  • Si un placement est donné, il est utilisé sinon la forme est créée à l'origine.
  • Si face est à True, la forme aura une surface, c'est-à-dire qu'elle apparaîtra remplie.

Exemple:

import FreeCAD, Draft

Polygon1 = Draft.makePolygon(4, radius=500)
Polygon2 = Draft.makePolygon(5, radius=750)

ZAxis = FreeCAD.Vector(0, 0, 1)
p3 = FreeCAD.Vector(1000, 1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 90))

Polygon3 = Draft.makePolygon(6, radius=1450, placement=place3)
Arrow-left.svg Page précédente: Draft Ellipse.svg Ellipse Draft
Page suivante: Rectangle Draft Draft Rectangle.svg Arrow-right.svg


Arrow-left.svg Page précédente: Draft Dimension.svg Dimensions/Cotation Draft
Page suivante: Point Draft Draft Point.svg Arrow-right.svg

Draft BSpline.svg BSpline Draft

Emplacement du menu
Draft → BSpline
Ateliers
Atelier Draft, Atelier Arch
Raccourci par défaut
B S
Introduit dans la version
0.7
Voir aussi
Filaire Draft, Courbe de Bézier Draft


Description

L'outil BSpline crée une courbe à partir de plusieurs points. Il utilise les Propriétés de ligne Draft définies dans La barre Draft.

L'outil BSpline se comporte comme l'outil Filaire Draft sauf que chacun de ses segments est incurvé au lieu d'être une ligne droite. Utilisez Filaire vers BSpline Draft pour convertir l’un en l’autre.

L'outil BSpline spécifie les points exacts par lesquels passera la courbe. D'autre part, l'outil Courbe de Bézier Draft utilise les points de contrôle pour définir la direction de la courbe. Pour créer des courbes circulaires ou elliptiques exactes, utilisez Arc Draft et Ellipse Draft.

Draft bspline example.jpg

Spline definie par plusieurs points


Utilisation

  1. Pressez le bouton Draft BSpline.png Créer une courbe B-spline... ou pressez les touches B puis S.
  2. Cliquez sur un premier point de la vue 3D ou tapez une Coordonnées Draft et appuyez sur le bouton Draft AddPoint.svg Ajouter un point Draft.
  3. Cliquez sur d'autres points de la vue 3D ou tapez une Coordonnées Draft puis appuyez sur le bouton Draft AddPoint.svg Ajouter un point Draft.
  4. Appuyez sur Echap ou sur le bouton Fermé pour terminer l'édition.

La spline peut être modifiée en double-cliquant sur l'élément dans l'arborescence ou en appuyant sur le bouton Draft Edit.png Edit Draft. Vous pouvez ensuite déplacer les points vers un nouvel emplacement ou cliquer sur Draft AddPoint.svg Ajouter un point Draft ou Draft DelPoint.svg Effacer un point Draft puis cliquez sur le fil pour ajouter ou supprimer des points.

Options

  • Appuyez sur A ou sur le bouton Draft FinishLine.png Terminer la ligne Draft pour terminer la spline en la laissant ouverte.
  • Appuyez sur le bouton O ou sur le bouton Draft CloseLine.png Fermer la ligne Draft pour fermer la spline, c'est-à-dire qu'une courbe sera ajoutée. du dernier point au premier pour former une surface. Au moins trois points sont nécessaires pour former une surface.
  • Appuyez sur le bouton W ou sur le bouton Draft Wipe.svg Wipe pour supprimer les segments de courbe déjà placés, mais continuez à éditer la spline. à partir du dernier point.
  • Appuyez sur la touche U ou Draft SelectPlane.svg Plan de travail Draft pour ajuster le plan de travail actuel selon l'orientation du dernier point.
  • Appuyez sur X, Y ou Z après un point pour contraindre le point suivant sur l'axe donné.
  • Pour entrer les coordonnées manuellement, entrez simplement les chiffres, puis appuyez sur Entrée entre chaque composante X, Y et Z. Vous pouvez aussi appuyer sur le bouton Draft AddPoint.svg Ajouter un point Draft dans le cas où vous avez les valeurs le point.
  • Appuyez sur R ou cliquez sur la case à cocher pour basculer en mode relatif. Si le mode relatif est activé, les coordonnées du point suivant sont relatives au dernier. Dans le cas contraire, elles sont absolue et prises à l'origine (0,0,0).
  • Appuyez sur T ou cochez la case pour passer en mode continuer. Si le mode Continuer est activé, l'outil BSpline redémarre une fois la spline terminée, vous permettant d'en dessiner une autre sans appuyer à nouveau sur le bouton de l'outil.
  • Appuyez sur L ou cliquez sur la case à cocher pour passer en mode rempli . Si le mode rempli est activé, une spline fermée créera une face remplie (DATAMake Face True) sinon la spline fermée ne créera pas de surface (DATAMake Face False).
Remarque: la spline ne doit pas être remplie si elle se croise elle-même. Dans ce cas elle ne créera pas la surface appropriée. Si la spline est remplie mais qu'aucune forme n'est visible, définissez manuellement DATAMake Face sur False pour afficher la spline.
  • Maintenez la touche Ctrl pendant que vous dessinez pour forcer l'Accrochage Draft de votre point au point de capture le plus proche, indépendamment de la distance.
  • Maintenez Shift pendant que vous dessinez sur Contrainte Draft pour que votre prochain point soit horizontalement ou verticalement par rapport au dernier.
  • Appuyez sur Ctrl + Z ou appuyez sur le bouton Draft UndoLine.png Undo pour annuler le dernier point.
  • Appuyez sur Echap ou sur le bouton Fermé pour annuler la commande en cours. Les segments de courbe déjà placés le resteront.

Propriétés

Un objet BSpline partage la plupart des propriétés d'un Filaire Draft cependant la plupart des propriétés n'ont de sens que pour un Filaire.

Data

  • DATAClosed: spécifie si la spline est fermée ou non. Si la spline est initialement ouverte, cette valeur est False; en le réglant sur True, un segment de courbe sera dessiné pour fermer la spline. Si la spline est initialement fermée, cette valeur est True; Si vous le définissez sur False, le dernier segment de courbe sera supprimé et la spline sera ouverte.
  • DATAMake Face: spécifie si la spline crée une surface ou non. S'il s'agit de True, une surface est créée. Sinon, seul le périmètre est considéré comme faisant partie de l'objet. Cette propriété ne fonctionne que si DATAClosed est True.
Remarque: ne définissez pas DATAMake Face sur True si la spline se coupe elle-même. Elle ne créera pas de surface appropriée.
  • DATAParameterization: affecte la forme de la BSpline.

Vue

  • VIEWArrow Size: spécifie la taille du symbole affiché à la fin de la spline.
  • VIEWArrow Type: spécifie le type de symbole affiché à la fin de la spline, qui peut être "Point", "Cercle", "Flèche" ou "Coche".
  • VIEWEnd Arrow: spécifie si un symbole doit être affiché au dernier point de la spline afin qu'il puisse être utilisé comme une ligne d'annotation.
  • VIEWPattern: spécifie un Pattern Draft avec lequel remplir la face d'une spline fermée. Cette propriété ne fonctionne que si DATA Make Face est True et si VIEWDisplay Mode est "Lignes plates".
  • VIEWPattern Size: spécifie la taille du Pattern Draft.

Script

Voir aussi: Draft API et FreeCAD Scripts de base.

L'outil BSpline peut être utilisé dans macros et à partir de la console Python à l'aide de la fonction suivante:

BSpline = makeBSpline(pointslist, closed=False, placement=None, face=None, support=None)
BSpline = makeBSpline(Part.Wire, closed=False, placement=None, face=None, support=None)
  • Crée un objet BSpline à partir de la liste de points donnée liste de points.
    • Chaque point de la liste est défini par FreeCAD.Vector en unités en millimètres.
    • Alternativement, l'entrée peut être un Part.Wire à partir duquel les points sont extraits.
  • Si closed est mis à True ou si les premier et dernier points sont identiques, le fil est fermé.
  • Si un placement est donné, il est utilisé sinon la forme est créée à l'origine.
  • Si face est mis à True et que la spline est fermée, la spline forme une surface, c'est-à-dire qu'elle apparaîtra remplie.

Exemple:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 1000, 0)
p3 = FreeCAD.Vector(2000, 0, 0)

BSpline1 = Draft.makeBSpline([p1, p2, p3], closed=True)
BSpline2 = Draft.makeBSpline([p1, 2*p3, 1.3*p2], closed=True)
BSpline3 = Draft.makeBSpline([1.3*p3, p1, -1.7*p2], closed=True)
Arrow-left.svg Page précédente: Draft Dimension.svg Dimensions/Cotation Draft
Page suivante: Point Draft Draft Point.svg Arrow-right.svg


Arrow-left.svg Page précédente: Draft Rectangle.svg Rectangle
Page suivante: Dimension Draft Dimension.svg Arrow-right.svg

Draft Text.svg Texte

Emplacement du menu
Draft → Texte
Ateliers
Planche à dessin
Raccourci par défaut
T E
Introduit dans la version
0.7
Voir aussi
Draft Label, Draft ShapeString


Description

L'outil texte, requiert un point d'emplacement, puis, du texte peut être saisi dans une boîte de dialogue texte.

Le texte prend les attributs du Style défini dans Draft Tray..

Pour créer une étiquette de texte avec un en-tête et une flèche, utilisez Draft Label. Pour créer du texte solide ou des lettres 3D, utilisez Draft ShapeString avec Part Extrusion.

Draft Text example.jpg

Un simple point est nécessaire pour positionner le textBox


Avertissement: Les textes créés avec version 0.18 ne sont pas rétrocompatibles. Sauvegardez donc votre travail si vous essayez d'ouvrir les fichiers créés avec la version 0.18 avec des versions plus anciennes.

Utilisation

  1. Pressez la touche Draft Text.png Draft Text button, ou pressez les touches T, puis E
  2. Cliquez un point dans la vue 3D, ou tapez les coordonnées et pressez le bouton Draft AddPoint.svg Ajouter un point.
  3. Entrez le texte désiré, et tapez sur Entrée entre chaque ligne,
  4. Pressez deux fois sur Entrée, (ce qui laisse la dernière ligne vide), ajoute le texte au document, et, ferme l'éditeur.

Options

  • Pour entrer les coordonnées manuellement, entrez simplement les chiffres, puis appuyez sur Entrée entre chaque composante X, Y et Z. Vous pouvez appuyer sur le bouton Draft AddPoint.svg ajouter un point lorsque vous avez les valeurs souhaitées pour insérer le point.
  • Maintenez la touche Ctrl enfoncée tout en plaçant le texte pour forcer la capture de votre point au point de capture le plus proche, indépendamment de la distance.
  • Pressez sur la Enter ou ↓ Flèche du bas pour entrer la nouvelle ligne de texte.
  • Pressez sur la ↑ Flèche du haut pour éditer la ligne de texte précédente.
  • Appuyez deux fois sur Entrée ou ↓ Flèche du bas pour terminer l'édition du texte.
  • Appuyez sur Esc ou sur le bouton Fermer pour annuler la commande en cours.

Propriétés

Données

  • DONNÉESText: spécifie le contenu du bloc de texte en tant que liste, chaque élément de la liste, séparé par une virgule, indique une nouvelle ligne.
  • DONNÉESPosition: Point de base du bloc de texte
  • DONNÉESAngle: spécifie la rotation de la ligne de base de la première ligne du bloc de texte.
  • DONNÉESAxis: spécifie l'axe à utiliser pour la rotation.

Vue

  • VUEDisplay Mode: Spécifie si le texte est aligné à la scène ou toujours face à la caméra
  • VUEFont Name: La police de caractères à utiliser. Peut être un nom de police, comme "Arial", style par défaut, "sans", "serif" ou "mono", ou une série comme "Arial,Helvetica,sans", ou un nom avec un style comme "Arial:Bold". Si la police donnée, ne se trouve pas sur le système, une police générique est utilisée à la place.
  • VUEFont Size: La dimension des lettres. Si l'objet texte est créé dans la vue arborescente mais qu'aucun texte n'est visible, augmentez la taille du texte jusqu'à ce qu'il soit visible.
  • VUEJustification: Spécifie l'alignement du texte à gauche à droite ou an centre du point de base
  • VUELine Spacing: Spécifie l'espace entre les lignes du texte
  • VUERotation: Spécifie la rotation a appliquer au texte
  • VUERotation Axis: Spécifie l'axe de rotation a utiliser

Script

Voir aussi: Draft API et FreeCAD scripts de base.

L'outil texte peut être utilisé dans les macros, et dans la console Python, en utilisant la fonction suivante :

Text = makeText(stringlist, point=Vector(0,0,0), screen=False)
  • Crée un objet Text, au point donné, si un FreeCAD.Vecteur.
  • stringlist est une chaîne ou une liste de chaînes, s'il s'agit d'une liste, chaque élément est affiché dans sa propre ligne.
  • Si Screen est True, la direction du texte fait toujours face à la vue, sinon, il se situe sur le plan X, Y.

Le placement du Texte peut être modifié en remplaçant son attribut Placement ou en modifiant individuellement les attributs Placement.Base et Placement.Rotation.

Les propriétés d'affichage du Texte peuvent être modifiées en remplaçant ses attributs. Par exemple, modifiez ViewObject.FontSize avec la nouvelle taille en millimètres.

Exemple:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
t1 = "This is a sample text"

p2 = FreeCAD.Vector(1000, 1000, 0)
t2 = ["First line", "second line"]

Text1 = Draft.makeText(t1, point=p1)
Text2 = Draft.makeText(t2, point=p2)
Text1.ViewObject.FontSize = 200
Text2.ViewObject.FontSize = 200

p3 = FreeCAD.Vector(-1000, -500, 0)
t3 = ["Upside", "down"]

Text3 = Draft.makeText(t3, point=p3)
Text3.ViewObject.FontSize = 200

ZAxis = FreeCAD.Vector(0, 0, 1)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 175))
Text3.Placement = place3

Text4 = Draft.makeText(t3, point=p3)
Text4.ViewObject.FontSize = 200
Text4.Placement.Rotation = FreeCAD.Rotation(ZAxis, -30)
Arrow-left.svg Page précédente: Draft Rectangle.svg Rectangle
Page suivante: Dimension Draft Dimension.svg Arrow-right.svg


Arrow-left.svg Page précédente: Draft Text.svg Texte Draft
Page suivante: BSpline Draft Draft BSpline.svg Arrow-right.svg

Draft Dimension.svg Draft Dimension

Menu location
Draft → Dimension
Workbenches
Draft, Arch
Default shortcut
D I
Introduced in version
0.8
See also
FlipDimension, Atelier TechDraw


Description==

L'outil Dimension crée un objet qui mesure et affiche la distance entre deux points ; un troisième point spécifie la position de la ligne de dimension.

L'outil peut mesurer des arêtes ou des lignes directement attachées à des corps solides ; si le corps change, la dimension se met à jour. L'outil peut également mesurer un diamètre ou un rayon de courbure tels que ceux produits par les opérations Draft Arc, ou par les opérations Part Congés, Sketcher Congés, et Part Design Congés.

La cote résultante est placée dans la vue 3D et est considérée comme un objet Draft. Cet objet peut être affiché sur une page Atelier Techdraw à l'aide des outils Nouvelle vue d'un objet Draft TechDraw ou Nouvelle vue Arch TechDraw. TechDraw dispose également de ses propres outils pour afficher les dimensions, tels que Longueur TechDraw et Dimension de rayon TechDraw. Cependant, ces outils sont destinés à la préparation de dessins techniques. Ils ne créent donc les cotes que dans la page de dessin et non dans la vue 3D.

Screenshot Draft Dimension.jpg

Dimension définie par trois points


Utilisation

  1. Appuyez sur le bouton Draft Dimension.png Cote Draft ou appuyez sur les touches D puis I.
  2. Cliquez sur un point de la vue 3D ou tapez une Coordonnées Draft et appuyez sur le bouton Draft AddPoint.svg Ajouter un point Draft.
  3. Cliquez sur un deuxième point de la vue 3D ou tapez une Coordonnées Draft et appuyez sur le bouton Draft AddPoint.svg Ajouter un point Draft. Les deux premiers points définissent la distance mesurée.
  4. Cliquez sur un tiers de la vue 3D ou tapez une Coordonnées Draft et appuyez sur le bouton Draft AddPoint.svg Ajouter un point Draft. Le dernier point définit la position de la ligne de mesure.

La dimension peut être modifiée en double-cliquant sur l'élément dans la vue arborescente ou en appuyant sur le bouton Draft Edit.svg Éditer Draft. Ensuite, vous pouvez déplacer les points vers une nouvelle position.

Les points de mesure peuvent être modifiés après la création en modifiant les propriétés de début et de fin.

La position de la ligne de mesure peut également être modifiée après la création en modifiant sa propriété direction.

Types de cotations disponibles

Relâchez le modificateur, Alt ou Shift, après avoir sélectionné un point ou une arête.

  • Dimensions linéaires: maintenez la touche Alt enfoncée ou cliquez sur le bouton View-select.svg sélectionnez le bord, sélectionnez un bord droit, puis sélectionnez un deuxième point pour tracer la ligne de cote parallèle à ce bord.
Remarque: vous pouvez également présélectionner l'arête avant d'appeler l'outil.
  • Dimensions horizontales et verticales: choisissez un point, puis un deuxième point, maintenez la touche Shift enfoncée et déplacez le pointeur horizontalement ou verticalement, puis choisissez un troisième point pour tracer la ligne de cote parallèle au point X axe ou l'axe des ordonnées.
Remarque 1: maintenez la touche Shift enfoncée et déplacez le pointeur dans différentes directions jusqu'à ce que la ligne de cote s'aligne sur l'axe souhaité. Un clic sur Shift alors que le pointeur est éloigné du premier point aligne généralement la dimension sur l'axe X; si le pointeur est proche du premier point, il alignera généralement la cote sur l'axe des ordonnées.
Remarque 2: au lieu de choisir deux points, choisissez un bord en maintenant Alt.
  • Dimensions du diamètre: maintenez la touche Alt enfoncée, sélectionnez un bord incurvé, puis choisissez un deuxième point pour tracer la ligne de cote.
    • Dimensions du rayon: maintenez la touche Alt et sélectionnez un bord incurvé, puis maintenez la touche Shift et choisissez un deuxième point pour tracer la ligne de cote.
  • Dimensions angulaires: maintenez la touche Alt puis sélectionnez deux arêtes droites, puis choisissez un point situé entre les deux arêtes pour afficher l'angle aigu ou obtus, ou ailleurs pour indiquer un angle supplémentaire ou explicite.
Remarque: l'angle affiché dépend en grande partie de la position d'origine des arêtes sélectionnées. Si vous souhaitez afficher un angle particulier, vous devrez peut-être ajouter des Ligne Draft auxiliaires qui s'étendent des bords d'origine et mesurer ces extensions.

Remarque: en présélectionnant une arête ou en la choisissant avec Alt ou View-select.svg sélectionnez le bord, la dimension deviendra paramétrique, c’est-à-dire qu’elle se souviendra du bord auquel elle est liée. Si les extrémités de ce bord se déplacent ultérieurement, la cote les suivra et ajustera la mesure affichée.

Options

  • Appuyez sur X, Y ou Z après un point pour contraindre le point suivant sur l'axe donné.
  • Pour entrer les coordonnées manuellement, entrez simplement les chiffres, puis appuyez sur Entrée entre chaque composante X, Y et Z. Vous pouvez appuyer sur le bouton Draft AddPoint.svg Ajouter un point Draft lorsque vous avez les valeurs souhaitées pour insérer le point.
  • Appuyez sur R ou cliquez sur la case à cocher pour basculer en mode relatif. Si le mode relatif est activé, les coordonnées du point suivant sont relatives au point précédent. sinon, ils sont absolus, pris de l'origine (0,0,0).
  • Appuyez sur T ou cochez la case pour passer en mode continuer. Si le mode Continuer est activé, l'outil Cote redémarre une fois que vous avez défini le dernier point, ce qui vous permet de dessiner une autre dimension sans appuyer à nouveau sur le bouton de l'outil. les dimensions suivantes commenceront à partir du dernier point de la dimension précédente et partageront la même ligne de base.
  • Maintenez la touche Ctrl pendant que vous dessinez pour forcer Accrochage Draft votre point au point de capture le plus proche, indépendamment de la distance.
  • Maintenez la touche Shift pendant que vous dessinez sur Contrainte Draft votre prochain point horizontalement ou verticalement par rapport au précédent et basculez entre les modes diamètre et rayon.
  • Appuyez sur Echapp ou sur le bouton Fermer pour abandonner la commande en cours, puis terminez les dimensions continuées. Les dimensions déjà placées le resteront.

Propriétés

Données

  • DATAStart: Le point de départ de la cote
  • DATAEnd: Le point final de la cote
  • DATADimline: Le point donnant la valeur de la dimension de la ligne de cote
  • DATADistance: (en lecture seule) indique la longueur mesurée.
  • DATADiameter: s'il s'agit de True, affiche une dimension de diamètre, sinon affiche une cote de rayon. Cette propriété ne fonctionne que si la dimension est attachée à un arc de cercle.

Vue

  • VIEWExt Lines: spécifie la longueur maximale des lignes d'attache allant des points de mesure à la ligne de cote.
  • VIEWExt Overshoot: spécifie la longueur supplémentaire des lignes d'attache au-delà de la ligne de cote.
  • VIEWDim Overshoot: spécifie la longueur supplémentaire ajoutée à la ligne de cote.
  • VIEWArrow Size: spécifie la taille du symbole affiché aux extrémités de la ligne de cote.
  • VIEWArrow Type: spécifie le type de symbole affiché aux extrémités de la ligne de cote, qui peut être "Point", "Cercle", "Flèche" ou "Coche".
  • VIEWFlip Arrows: spécifie s'il faut inverser l'orientation des symboles aux extrémités de la ligne de cote. cela ne fonctionne que si ces symboles sont des flèches.
  • VIEWFont Name: spécifie la police à utiliser pour dessiner le texte. Il peut s'agir d'un nom de police, tel que "Arial", d'un style par défaut tel que "sans", "serif" ou "mono", d'une famille telle que "Arial, Helvetica, sans" ou d'un nom avec un style tel que " Arial: "Gras". Si la police donnée n'est pas trouvée sur le système, une police générique est utilisée à la place.
  • VIEWFont Size: spécifie la taille des lettres. Si l'objet de cote est créé dans la vue arborescente mais qu'aucun texte n'est visible, augmentez la taille du texte jusqu'à ce qu'il soit visible.
  • VIEWFlip Text: spécifie s'il faut retourner l'orientation du texte indiquant la mesure.
  • VIEWText Position: spécifie la position du texte en coordonnées absolues, par rapport à l'origine (0,0,0); laissez cette propriété à sa valeur par défaut (0,0,0) pour afficher le texte en regard de la ligne de cote.
  • VIEWText Spacing: spécifie l'espace entre le texte et la ligne de cote.
  • VIEWOverride: spécifie un texte personnalisé à afficher à la place de la mesure réelle. Utilisez la chaîne $ dim à l'intérieur du texte pour afficher la valeur de mesure.
  • VIEWDecimals: spécifie le nombre de décimales à afficher sur la mesure.
  • VIEWShow Unit: s'il s'agit de True, l'unité est affichée à côté de la valeur numérique de la mesure.
  • VIEWUnit Override: spécifie une unité dans laquelle exprimer la mesure, par exemple, "km", "m", "cm", "mm", "mi", "ft", "in" ; laissez cette propriété vide pour utiliser les unités par défaut. introduced in version 0.17

Script

Voir aussi: Draft API et FreeCAD scripts de base.

L'outil Cote peut être utilisé à l'intérieur d'une macro et à partir de la console Python en utilisant la fonction suivante:

Dimension = makeDimension(p1, p2, p3=None, p4=None)

Il existe différentes manières d’appeler cette fonction, en fonction des arguments qui lui sont transmis:

Dimension = makeDimension(p1, p2, p3=None)
Dimension = makeDimension(object, i1, i2, p4=None)
Dimension = makeDimension(object, i1, mode, p4=None)
  • Crée un Dimension linéaire en mesurant la distance entre les points p1 et p2.
  • Crée un Dimension linéaire lié à object, mesurant la distance entre ses sommets indexés i1 et i2.
  • Crée un Dimension circulaire lié à object, avec i1 étant l'index du bord incurvé à mesurer et mode étant soit "radius" ou "diameter" pour spécifier le type de dimension.
    • p3 lors du premier appel et p4 dans les deux autres, spécifiez un point facultatif par lequel la ligne de cote doit passer.
    • Tous les points sont définis par leur FreeCAD.Vector.

Pour créer une cote angulaire, utilisez la fonction suivante:

Dimension = makeAngularDimension(center, angles, p3, normal=None)
Dimension = makeAngularDimension(center, [angle1, angle2], p3, normal=None)
  • Crée une Dimension angulaire à partir du point center, de la liste d'angles entre deux éléments et le point p3 par lequel l'arc devrait passer.
    • Si angle1 > angle2, l'angle affiché est la différence angle1 - angle2 sinon l'angle complémentaire est affiché 360 - (angle2 - angle1).
    • Les angles doivent être exprimés en radians. La fonction math.radians() peut être utilisée pour convertir des angles donnés en degrés.

Les propriétés de vue de Dimension peuvent être modifiées en remplaçant ses attributs, par exemple en changeant ViewObject.FontSize avec la nouvelle taille en millimètres.

Exemple:

import math, FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 1000, 0)
p3 = FreeCAD.Vector(-2500, 0, 0)
Dimension1 = Draft.makeDimension(p1, p2, p3)
Dimension1.ViewObject.FontSize = 200

Polygon = Draft.makePolygon(3, radius=1000)
p4 = FreeCAD.Vector(-2000, 1500, 0)
Dimension2 = Draft.makeDimension(Polygon, 1, 2, p4)
Dimension2.ViewObject.FontSize = 200

center = FreeCAD.Vector(2000, 0, 0)
p5 = FreeCAD.Vector(3000, 1000, 0)
angle1 = math.radians(45)
angle2 = math.radians(10)
Dimension3 = Draft.makeAngularDimension(center, [angle1, angle2], p5)
Dimension3.ViewObject.FontSize = 200

Dimension4 = Draft.makeAngularDimension(center, [angle2, angle1], p5*1.2)
Dimension4.ViewObject.FontSize = 200

Liens

Arrow-left.svg Page précédente: Draft Text.svg Texte Draft
Page suivante: BSpline Draft Draft BSpline.svg Arrow-right.svg


Arrow-left.svg Page précédente: Draft BSpline.svg BSpline Draft

Draft Point.svg Point Draft

Emplacement du menu
Draft → Point
Ateliers
Atelier Draft, AtelierArch
Raccourci par défaut
P T
Introduit dans la version
0.7
Voir aussi
Ligne Draft, Filaire Draft


Description

L'outil Point crée un point simple dans le Plan de travail Draft utile pour servir de référence pour placer des lignes, des fils ou d'autres objets ultérieurement. Il utilise les Propriétés de ligne Draft (uniquement la couleur) définies dans La barre Draft.

Draft point example.jpg

Un seul point placé sur le plan de travail


Utilisation

  1. Appuyez sur la touche Draft Point.png Point Draft ou appuyez sur la touche P puis T.
  2. Cliquez sur un point de la vue 3D ou tapez les Coordonnées Draft et appuyez sur le bouton Draft AddPoint.svg Ajouter un point Draft.

Options

  • Pour entrer les coordonnées manuellement, entrez simplement les chiffres, puis appuyez sur Entrée entre chaque composante X, Y et Z. Vous pouvez appuyer sur le bouton Draft AddPoint.svg Ajouter un point Draft lorsque vous avez les valeurs souhaitées pour insérer le point.
  • Appuyez sur T ou cochez la case pour passer en mode continue. Si le mode Continue est activé, l'outil de pointage redémarre après avoir placé un point, ce qui vous permet d'en placer un autre sans appuyer à nouveau sur le bouton de l'outil.
  • Appuyez sur Echap ou sur le bouton Fermer pour annuler la commande en cours.

Propriétés

  • DONNÉESX: la coordonnée X du point.
  • DONNÉESY: la coordonnée Y du point.
  • DONNÉESZ: la coordonnée Z du point.

Script

Voir aussi: Draft API et FreeCAD scripts de base.

L'outil Point peut être utilisé dans une macro et dans la console Python en utilisant la fonction suivante:

Point = makePoint(X=0, Y=0, Z=0, color=None, name="Point", point_size=5)
Point = makePoint(point, Y=0, Z=0, color=None, name="Point", point_size=5)
  • Crée un objet Point dans les coordonnées X, Y et Z spécifiées, avec des unités en millimètres. Si aucune coordonnée n'est donnée, le point est créé à l'origine (0,0,0).
    • Si X est un point défini par un FreeCAD.Vector, il est utilisé.
  • color est un tuple (R, G, B) qui indique la couleur du point dans l'échelle RVB. Chaque valeur du tuple doit être comprise entre 0 et 1.
  • name est le nom de l'objet.
  • point_size est la taille de l'objet en pixels si l'interface graphique est chargée.

Exemple:

import FreeCAD
import Draft

Point1 = Draft.makePoint(1600, 1400, 0)

p2 = FreeCAD.Vector(-3200, 1800, 0)
Point2 = Draft.makePoint(p2, color=(0.5, 0.3, 0.6), point_size=10)
FreeCAD.ActiveDocument.recompute()

Exemple:

Ce code crée des Template:Incodes points aléatoires dans un carré de côté 2L. Cela crée une boucle créant des N points, qui peuvent apparaître n'importe où de -L à + L sur X et Y; il choisit également une couleur et une taille aléatoires pour chaque point. Modifiez N pour changer le nombre de points, puis L pour changer la zone couverte par les points.

import random
import FreeCAD
import Draft

L = 1000
centered = FreeCAD.Placement(FreeCAD.Vector(-L, -L, 0), FreeCAD.Rotation())
Rectangle = Draft.makeRectangle(2*L, 2*L, placement=centered)
N = 10

for i in range(N):
    x = 2*L*random.random() - L
    y = 2*L*random.random() - L
    z = 0
    r = random.random()
    g = random.random()
    b = random.random()
    size = 15*random.random() + 5
    Draft.makePoint(x, y, z, color=(r, g, b), point_size=size)

FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Page précédente: Draft BSpline.svg BSpline Draft


Credits

FreeCAD Users Contributors.svg

<translate> FreeCAD would not be what it is without the generous contributions of many people. Here's an overview of the people and companies who contributed to FreeCAD over time. For credits for the third party libraries see the Third Party Libraries page.

Development

Project managers

Lead developers of the FreeCAD project: </translate>

<translate>

Main developers

People who work regularly on the FreeCAD code (retrieved from https://github.com/FreeCAD/FreeCAD/graphs/contributors): </translate>

<translate>

Other coders

Other people who contributed code to the FreeCAD project: </translate>

  • Barleyman
  • Berthold Grupp
  • dbtayl
  • Dmitry Chigrin
  • ezzieyguywuf
  • fandaL
  • Georg Wiora
  • Graeme van der Vlugt
  • itain
  • j-dowsett
  • Jacques-Antoine Gaudin
  • jcc242
  • jmaustpc
  • Joachim Zettler
  • jobermayr
  • Johan3DV
  • jonnor
  • keithsloan52
  • Ken Cline
  • Mandeep Singh
  • marktaff
  • Martin Burbaum
  • maurerpe
  • ovginkel
  • peterl94
  • plaes
  • poutine70
  • TheMarkster
  • qingfengxia
  • Remigiusz Fiedler (DXF-parser)
  • SebKuzminsky
  • tomate44
  • triplus
  • usakhelo

<translate>

Companies

Companies which donated code or developer time: </translate>

<translate>

Forum moderators

People in charge of the FreeCAD forum (retrieved from http://forum.freecadweb.org/memberlist.php?mode=team): </translate>

<translate>

Community

People from the community who put a lot of efforts in helping the FreeCAD project either by being active on the forum, keeping a blog about FreeCAD, making video tutorials, packaging FreeCAD for Windows/Linux/MacOS X, writing a FreeCAD book... (listed by alphabetical order) (retrieved from http://forum.freecadweb.org/memberlist.php?mode=&sk=d&sd=d#memberlist) </translate>

<translate>

Documentation writers

People who wrote the documentation on this wiki: </translate>

<translate>

Translators

People who helped to translate the FreeCAD application (retrieved from https://crowdin.com/project/freecad): </translate>

<translate>

Addons developers

Developers of FreeCAD addons (retrieved from https://github.com/FreeCAD/FreeCAD-addons): </translate>

<translate> </translate>